import { MigrationInterface, QueryRunner, TableColumn } from "typeorm";
import { getTypeByORM, getDefaultByORM } from "./ormHelper";

export class MemberCreatedAt1746006549262 implements MigrationInterface {
  name = "MemberCreatedAt1746006549262";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.addColumn(
      "member",
      new TableColumn({
        name: "createdAt",
        ...getTypeByORM("datetime", false, 6),
        default: getDefaultByORM("currentTimestamp", 6),
      })
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropColumn("member", "createdAt");
  }
}
